Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class CacheMethod

    java.lang.Object
      com.beasys.commerce.util.CacheMethod

Deprecated See BEA Commerce product offering

    @Deprecated
    public class CacheMethod

extends Object

Abstracts a key for caching Java method objects

Constructor Summary
`CacheMethod(Class clazz, String methodName, Class[] paramTypes, Method method)` Deprecated See BEA Commerce product offering

Method Summary
`protected boolean` | `checkParams(Class[] someParams)` Deprecated See BEA Commerce product offering
`boolean` | `equals(Object anObject)` Deprecated See BEA Commerce product offering
`String` | `getKey()` Deprecated See BEA Commerce product offering
`Method` | `getMethod()` Deprecated See BEA Commerce product offering
`void` | `setMethod(Method method)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheMethod

    public CacheMethod(Class clazz,
                       String methodName,
                       Class[] paramTypes,
                       Method method)

  Deprecated See BEA Commerce product offering

  Cache method.

  Parameters
    `clazz` - Class that the method is specified in
    `methodName` - String method name
    `params` - Array of parameter types
    `methon` - Method

Method Detail

### getKey

    public String getKey()

  Deprecated See BEA Commerce product offering

  Returns a key

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

### getMethod

    public Method getMethod()

  Deprecated See BEA Commerce product offering

  Returns the method

### setMethod

    public void setMethod(Method method)

  Deprecated See BEA Commerce product offering

  Sets the method

### equals

    public boolean equals(Object anObject)

  Deprecated See BEA Commerce product offering

  Equals.

  Overrides:
    `equals` in class `Object`
  Parameters
    `anObject` -
  Returns
    `boolean`

### checkParams

    protected boolean checkParams(Class[] someParams)

  Deprecated See BEA Commerce product offering

  Check params.

  Parameters
    `someParams` -
  Returns
    `boolean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved